<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!--=============== BOXICONS ===============-->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">

        <!--=============== CSS ===============-->
        <link rel="stylesheet" href="assets/css/styles.css">
        <!--=============== Julie CSS ===============-->
        <title>FARMWISE IOT PLATFORM</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        
        <script src="js/mqttws31.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="js/config.js" type="text/javascript"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
        <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
      <!-- Add the font-awesome stylesheet to the head of your HTML -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
      <link rel="stylesheet"href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"/>
      <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>

     <link rel="stylesheet" href="css/styles.css" />
     
     
      <style>

          .widget-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            width: 100%;
            max-width: 1200px;
            margin: 0 auto;
          }

          #temp-widget {
            flex-basis: calc((100% - 30px) / 4); /* 4 widgets in the first row */
            margin-bottom: 20px;
            background-color: #ffffff;
            padding: 10px;
            border: 1px solid #e3e3e3;
            text-align: center;
          }

          @media (max-width: 991px) {
            #temp-widget {
              flex-basis: calc((100% - 20px) / 3); /* 3 widgets in the second row */
            }
          }

          @media (max-width: 767px) {
            #temp-widget {
              flex-basis: calc((100% - 10px) / 2); /* 2 widgets in each row */
            }
          }
          
          .container2 {
          display: flex;
          flex-direction: row;
        }

        #mapid {
          height: 250px;
          width: 40%;
        }

        #pestdetection {
          width: 50%;
          margin-left: 20px; /* add margin to the left */
        }
              </style>
    </head>
    <body>
        <!--=============== HEADER ===============-->
        <header class="header" id="header">
            <nav class="nav container">
                <a href="#" class="nav__logo">FarmWise</a>

                <div class="nav__menu" id="nav-menu">
                    <ul class="nav__list">
                        <li class="nav__item">
                            <a href="#home" class="nav__link active-link">
                                <i class='bx bx-home-alt nav__icon'></i>
                                <span class="nav__name">Home</span>
                            </a>
                        </li>
                        
                        <li class="nav__item">
                            <a href="prediction.html" class="nav__link">
                                <i class='bx bx-user nav__icon'></i>
                                <span class="nav__name">Prediction</span>
                            </a>
                        </li>

                        <li class="nav__item">
                             <a href="weather.html" class="nav__link">
                                <i class='bx bx-book-alt nav__icon'></i>
                                <span class="nav__name">Weather</span>
                            </a>
                        </li>

                        <!--<li class="nav__item">
                            <a href="#portfolio" class="nav__link">
                                <i class='bx bx-briefcase-alt nav__icon'></i>
                                <span class="nav__name">Portfolio</span>
                            </a>
                        </li>-->

                        <li class="nav__item">
                            <a href="#settings" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">settings</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <img src="assets/img/perfil.png" alt="" class="nav__img">
            </nav>
        </header>

        <main>
            <!--=============== HOME ===============-->
            <section class="container section section__height" id="home">
                <!--<h2 class="section__title">Home</h2>-->
                
                <!-- DRAGG HERE -->
                
              <div class="board">
              <form id="todo-form">
              <input type="text" placeholder="New TODO..." id="todo-input" />
              <button type="submit">Add +</button>
              </form>
              <div class="lanes">
              <div class="swim-lane" id="todo-lane">
              <h3 class="heading">Widgets</h3>
             <div class="task" draggable="true">
                Line Chart
                <span class="settings-icon">
                  <i class="fa fa-cog"></i>
                </span>
              </div>
              <div class="task" draggable="true">
                Gauge Chart
                <span class="settings-icon">
                  <i class="fa fa-cog"></i>
                </span>
              </div>
                <div class="task" draggable="true">
                Widget
                <span class="settings-icon">
                  <i class="fa fa-cog"></i>
                </span>
              </div>
              <div class="task" draggable="true">
                Control
                <span class="settings-icon">
                  <i class="fa fa-cog"></i>
                </span>
              </div>
             <!--  <div class="widget-container">
              <div id ="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Air Temp</span>
              <span class=" widget-value temp-data">25°C</span>
            </div>
            </div>-->
            
              </div>
              </div>
              </div>
     <!-- DRAGG HERE -->
          <div class="widget-container">
         <div id ="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Air Temp</span>
              <span class=" widget-value temp-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
             <i class="fa fa-fire"></i>
              <span class="label">Air Humidity</span>
              <span class=" widget-value humid-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Soil Moisture</span>
              <span class="widget-value soil-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Soil Temp</span>
              <span class="widget-value soiltmp-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Soil Salt</span>
              <span class="widget-value salt-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Light Intensity</span>
              <span class="widget-value light-data">25°C</span>
            </div>
            <div id="temp-widget" class="task" draggable="true">
              <i class="fa fa-thermometer-empty"></i>
              <span class="label">Battery Life</span>
              <span class="widget-value batt-data">25°C</span>
            </div>
            </div>
        
          <form name="chartform" id="date-form">
            <div>
              <label for="start-date">Start Date:</label>
              <input type="date" id="start-date" name="start-date">
            </div>
            <div>
              <label for="end-date">End Date:</label>
              <input type="date" id="end-date" name="end-date">
            </div>
            <button id="submit">Submit</button>
          </form>
        
          <label for="toggle-switch">Toggle between live MQTT data and historical data views</label>
          <input type="checkbox" id="toggle-switch" name="toggle-switch"></input>
          <div id="live-data-container"></div>
          <div id="chart-container"></div>
           
        <div class="container2">
          <div id="mapid"></div>
          <div id="pestdetection">
          
          <select id="model-selector">
            <option value="inception">Inception Model</option>
            <option value="coco">COCO-SSD Model</option>
            <option value="keras">Keras Model</option>
            <option value="custom">Custom Model</option>
            <option value="yolo">Yolo Model</option>
          </select>
          
            <h1>Vegetable Pest Detection</h1>
            <form id="pestForm" enctype="multipart/form-data" method="POST" action="/detect">
              <input type="file" name="image">
              <button type="submit2">Detect pests</button>
            </form>
            <div id="response"></div>
            <div id="image-container">
             <canvas id="my-canvas" width="200" height="200"></canvas>
            </div>
          </div>
        </div>
        
      <div id="weather"></div>







            

       
            </section>

            <!--=============== ABOUT ===============-->
           

            <!--=============== SKILLS ===============-->
            

            <!--=============== PORTFOLIO ===============-->
          
            <!--=============== CONTACTME ===============-->
           
        </main>
        

        <!--=============== MAIN JS ===============-->
        <script src="https://code.highcharts.com/highcharts.js"></script>
        <script src="customjs/websocket.js" type="text/javascript"></script>
         <script src="customjs/detection.js" type="text/javascript"></script>
          <script src="customjs/map.js" type="text/javascript"></script>
          <script src="customjs/settings.js" type="text/javascript"></script>
         <script src="dragjs/drag.js" defer></script>
        <script src="assets/js/main.js"></script>
    </body>
</html>